This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1466344 - Bacula file restores fail with SELinux enabled
Bacula file restores fail with SELinux enabled
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: bacula (Show other bugs)
7.3
All Linux
unspecified Severity unspecified
: rc
: ---
Assigned To: Josef Ridky
qe-baseos-daemons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-29 09:13 EDT by Michael Watters
Modified: 2017-08-03 03:25 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Watters 2017-06-29 09:13:08 EDT
Description of problem:

We have a server running bacula 5.2.13 using the packages provided in the default yum repos.  File restores are failing on this node due to SELInux policies.  For example, the following errors are shown in the audit logs.

type=AVC msg=audit(1497617409.125:19524): avc:  denied  { setattr } for  pid=17004 comm="bacula-fd" name="05" dev="sdb1" ino=10737418338 scontext=system_u:system_r:bacula_t:s0 tcontext=system_u:object_r:default_t:s0 tclass=dir

type=AVC msg=audit(1497617409.125:19525): avc:  denied  { write } for  pid=17004 comm="bacula-fd" name=53797374656D206261636B757020322D352D3230313320382D303120414D dev="sdb1" ino=4294967371 scontext=system_u:system_r:bacula_t:s0 tcontext=system_u:object_r:default_t:s0 tclass=dir

type=AVC msg=audit(1497617409.125:19526): avc:  denied  { write } for  pid=17004 comm="bacula-fd" name=53797374656D206261636B757020322D352D3230313320382D303120414D2E504244 dev="sdb1" ino=4294967372 scontext=system_u:system_r:bacula_t:s0 tcontext=system_u:object_r:default_t:s0 tclass=file

Version-Release number of selected component (if applicable):

Name        : bacula-client
Version     : 5.2.13
Release     : 23.1.el7

Note You need to log in before you can comment on or make changes to this bug.